Run a Redis pipeline
/v1/disks/{disk}/redis/{namespace}/pipelineconst url = 'https://api.wabe.sh/v1/disks/demo/redis/app/pipeline';const options = { method: 'PUT', headers: { 'Upstash-Encoding': 'json', 'Upstash-Response-Format': 'json', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '[["SET","count","0"],["INCR","count"]]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.wabe.sh/v1/disks/demo/redis/app/pipeline \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Upstash-Encoding: json' \ --header 'Upstash-Response-Format: json' \ --data '[ [ "SET", "count", "0" ], [ "INCR", "count" ] ]'Execute commands in order. Other clients can interleave commands.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Example
appNamespace on this disk.
Header Parameters
Section titled “Header Parameters”Encoding for byte-string replies.
Reply format. RESP2 requires the default encoding.
Request Bodyrequired
Section titled “Request Bodyrequired”Example
[ [ "SET", "count", "0" ], [ "INCR", "count" ]]Responses
Section titled “Responses”One reply per command.
One result or error envelope. Pipeline/multi return an array of these.
object
Example
[ { "result": "OK" }, { "result": 1 }]Invalid command, arguments, request shape or encoding.
One result or error envelope. Pipeline/multi return an array of these.
object
One result or error envelope. Pipeline/multi return an array of these.
object
Missing, invalid or revoked project API key, or an invalid runtime access token.
object
Actor runtime token does not authorize this disk or instance generation.
object
Disk not found in this project.
object
Wabe Disk request or response limit exceeded.
One result or error envelope. Pipeline/multi return an array of these.
object
One result or error envelope. Pipeline/multi return an array of these.
object
Storage failure.
One result or error envelope. Pipeline/multi return an array of these.
object
One result or error envelope. Pipeline/multi return an array of these.
object
Disk unavailable.